Name: xmltooling
Version: 3.2.4
Release: 1%{?dist}      
Summary: OpenSAML XML Processing library
License: Apache-2.0
Vendor: Shibboleth Consortium
URL: http://www.opensaml.org/
Source http://shibboleth.net/downloads/c++-opensaml/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ gdb
BuildRequires: doxygen
BuildRequires: boost-devel >= 1.32.0
BuildRequires: curl-devel >= 7.10.6
%{?_with_log4cpp:BuildRequires: log4cpp-devel >= 1.0}
%{!?_with_log4cpp:BuildRequires: log4shib-devel >= 1.0.4}
BuildRequires: openssl-devel
BuildRequires: xerces-c-devel >= 3.2
BuildRequires: xml-security-c-devel >= 2.0.0
BuildRequires: zlib-devel

%description
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

%package devel
Summary: XMLTooling development Headers
Requires: xmltooling = %{version}-%{release}
%{?_with_log4cpp:Requires: log4cpp-devel >= 1.0}
%{!?_with_log4cpp:Requires: log4shib-devel >= 1.0.4}
Requires: boost-devel >= 1.32.0
Requires: curl-devel >= 7.10.6
Requires: openssl-devel
Requires: xerces-c-devel >= 3.2
Requires: xml-security-c-devel >= 2.0.0

%description devel
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This package includes files needed for development with XMLTooling.

%package schemas
Summary: XMLTooling schemas and catalog

%description schemas
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This package includes XML schemas and related files.

%prep
%setup -q

%build
%configure --with-xmlsec
%{__make}

%install
%{__make} install DESTDIR=%{buildroot} pkgdocdir=%{_pkgdocdir}
# Don't package unit tester if present.
%{__rm} -f %{buildroot}/%{_bindir}/xmltoolingtest

%check
%{__make} check

%ldconfig_scriptlets

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%files schemas
%defattr(-,root,root,-)
%dir %{_datadir}/xml/xmltooling
%{_datadir}/xml/xmltooling/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/xmltooling.pc
%{_libdir}/pkgconfig/xmltooling-lite.pc
%doc %{_pkgdocdir}

%changelog
* Wed Dec 27 2023 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.4-1
- Update to 3.2.4

* Tue Apr 04 2023 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.3-1
- Update to 3.2.3

* Tue Dec 13 2022 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.2-1
- Update to 3.2.2

* Sun Dec 12 2021 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.1-1
- Update to 3.2.1

* Mon Oct 11 2021 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.0-2
- Switch to %ldconfig_scriptlets
- Rebuild for COPR EL8

* Wed Dec 2 2020 Scott Cantor <cantor.2@osu.edu> - 3.2.0-1|1.1
- Version bump

* Mon Feb 3 2020 Scott Cantor <cantor.2@osu.edu> - 3.1.0-1
- Version and lib bump

* Mon Sep 30 2019 Scott Cantor <cantor.2@osu.edu> - 3.0.4-1
- CentOS 8 cleanup

* Tue Nov 21 2017 Scott Cantor <cantor.2@osu.edu> - 3.0.0-1
- Update soname
- Require Xerces 3.2 as shipped by me on all platforms
- Exclude libtool archives

* Fri Jun 24 2016 Scott Cantor <cantor.2@osu.edu> - 1.6.0-1
- Fix some lint issues
- Update soname in package name

* Thu Feb 26 2015 Scott Cantor <cantor.2@osu.edu> - 1.5.4-1
- Require Xerces 3.1 even on older platforms
- Add Amazon platform checks
- Switch to bz2 source to avoid future SuSE issues

* Tue May 13 2014 Ian Young <ian@iay.org.uk> - 1.5.3-1.2
- Update package dependencies for RHEL/CentOS 7

* Wed Dec 14 2011 Scott Cantor  <cantor.2@osu.edu>  - 1.5-1
- Update lib package number.
- Add boost-devel dependency.

* Sun Jun 26 2011  Scott Cantor  <cantor.2@osu.edu>  - 1.4.2-1
- Override curl build for RHEL6.

* Tue Oct 26 2010  Scott Cantor  <cantor.2@osu.edu>  - 1.4-1
- Update version
- Add pkg-config support.
- Sync package names for side by side install.
- Adjust Xerces dependency name and Group setting
- Split out schemas into separate subpackage

* Mon Aug 31 2009  Scott Cantor  <cantor.2@osu.edu>  - 1.3-1
- Bump soname for SUSE packaging.

* Thu Aug 6 2009  Scott Cantor  <cantor.2@osu.edu>  - 1.2.1-1
- SuSE conventions
- Stop packaging unit tester

* Wed Dec 3 2008  Scott Cantor  <cantor.2@osu.edu>  - 1.2-1
- Bumping for minor update.
- Fixing SuSE Xerces dependency name.

* Tue Jul 1 2008  Scott Cantor  <cantor.2@osu.edu>  - 1.1-1
- Bumping for minor update.

* Mon Mar 17 2008  Scott Cantor  <cantor.2@osu.edu>  - 1.0-6
- Official release.

* Fri Jan 18 2008  Scott Cantor  <cantor.2@osu.edu>  - 1.0-5
- Release candidate 1.

* Thu Nov 08 2007  Scott Cantor  <cantor.2@osu.edu>  - 1.0-4
- Second public beta.

* Thu Aug 16 2007  Scott Cantor  <cantor.2@osu.edu>  - 1.0-3
- First public beta.

* Fri Jul 13 2007  Scott Cantor  <cantor.2@osu.edu>  - 1.0-2
- Second alpha.

* Wed Apr 12 2006  Scott Cantor  <cantor.2@osu.edu>  - 1.0-1
- First SPEC file based on various versions in existence.
